#!/bin/sh

#sample of extend event for unix system via CURL

#url of TSMExplorer
URL=https://10.100.120.12:16020/event

#name or address of TSM server from registred list
SERVER=CO-SOUTH

#node name
NODE=DC2

#set start time for operation
STARTTIME=$(date +'%Y-%m-%d %H:%M:%S+%z')


#some operations (example)  !!!
cd /opt/tivoli/tsm/client/ba/bin
dsmc inc -subdir=yes /home


#status operation   0=completed 1,2,...=failed
STATUS=$?

#end of operation
ENDTIME=$(date +'%Y-%m-%d %H:%M:%S+%z')

#message  
MESSAGE="incremental backup for "

cd /opt/tivoli/tsm/client/scripts
curl --header "Content-Type: application/json" --request POST --data '{"server":"'"$SERVER"'","node":"'"$NODE"'", "status":"'"$STATUS"'", "starttime":"'"$STARTTIME"'", "endtime":"'"$ENDTIME"'", "message":"'"$MESSAGE"'"}' --insecure $URL
